'use strict';

var _commander = require('commander');

var _commander2 = _interopRequireDefault(_commander);

var _inquirer = require('inquirer');

var _inquirer2 = _interopRequireDefault(_inquirer);

var _downloadGitRepo = require('download-git-repo');

var _downloadGitRepo2 = _interopRequireDefault(_downloadGitRepo);

var _logSymbols = require('log-symbols');

var _logSymbols2 = _interopRequireDefault(_logSymbols);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _ora = require('ora');

var _ora2 = _interopRequireDefault(_ora);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var VERSION = '1.0.3';

_commander2.default.on('--help', function () {
    console.log(VERSION);
});

_commander2.default.command('init').action(function () {
    _inquirer2.default.prompt([{
        type: 'input',
        name: 'projectName',
        message: '请输入项目名称?'
    }, {
        type: 'confirm',
        name: 'isInit',
        message: '是否要初始化项目?',
        default: true
    }]).then(function (answers) {
        if (answers.projectName) {
            console.log(_chalk2.default.green(answers.projectName + ' 真是一个优秀的名字呢～'));
        }
        if (answers.isInit) {
            var loading = (0, _ora2.default)('下载模版中...');
            loading.start();
            (0, _downloadGitRepo2.default)('direct:https://git.100tal.com/peiyou_zaixian_ztfe/among.git', answers.projectName, { clone: true }, function (err) {
                if (!err) {
                    loading.succeed();
                    console.log(_logSymbols2.default.success, _chalk2.default.green('下载完成'));
                } else {
                    loading.fail();
                    console.log(_chalk2.default.red('\r' + err + '\r'));
                    console.log(_logSymbols2.default.error, _chalk2.default.red('下载失败'));
                }
            });
        }
    });
});

_commander2.default.parse(process.argv);