import program from 'commander'
import inquirer from 'inquirer'
import downloadGit from 'download-git-repo'
import symbol from 'log-symbols'
import chalk from 'chalk'
import ora from 'ora'

const VERSION = '1.0.3'

program.on('--help', () => {
    console.log(VERSION)
})

program.command('init').action(() => {
    inquirer.prompt([
        {
            type: 'input',
            name: 'projectName',
            message: '请输入项目名称?',
        },
        {
            type: 'confirm',
            name: 'isInit',
            message: '是否要初始化项目?',
            default: true
        }
    ]).then((answers) => {
        if (answers.projectName) {
            console.log(chalk.green(answers.projectName + ' 真是一个优秀的名字呢～'))
        }
        if (answers.isInit) {
            const loading = ora('下载模版中...')
            loading.start()
            downloadGit('direct:https://git.100tal.com/peiyou_zaixian_ztfe/among.git',
            answers.projectName,
            { clone: true },
            function (err) {
                if (!err) {
                    loading.succeed()
                    console.log(symbol.success, chalk.green('下载完成'))
                } else {
                    loading.fail()
                    console.log(chalk.red(`\r${err}\r`))
                    console.log(symbol.error, chalk.red('下载失败'))
                }
            })
        }
    })
})

program.parse(process.argv)
